### pythonScripts
These are python scripts that were used for the project as a whole

##### SolvationToolkit (solvated_mixtures.py)
Availabe on gitHub at https://github.com/MobleyLab/SolvationToolkit
This was the first publication with the solvation toolkit and one of the earlier projects to use it (using Sept. 30, 2015 commit version #baf25bc).
solvated_mixtures.py in this directory is a copy of the script used on this project. 

##### Hydroxynator
Available on gitHub at https://github.com/MobleyLab/Hydroxynator
Takes in GROMACS GAFF topology files and edits the L-J parameters and charges to create a GAFF-DC topology file.  
As a part of this project I rewrote Hydroxynator using ParmEd to get atom properties and assign new Lennard-Jones parameters and charges for hydroxyl groups. 
The original version of Hydroxynator would only handle topologies with one molecule correctly. This version can take topology files with any number of molecules and all of them could be alcohols. 
hydroxynator.py:  is a copy of the version used for simulations in cylcohexane and octanol
old_hydroxynator.py:  is a copy of the version used for simulations in water (the original published version of the script) 

##### MDPandRunMethods.py
This is a script I wrote to more easily manipulate the 'X' mdp files and run scripts. 
The overall goal is to copy the files for each lambda value. 
For the mdp files it changes the name to minimize.0.mdp for lambda 0 and also replaces the place holder in the mdp file with the 0. 
For the run file, it changes the name and makes a copy for each lambda value. It also changes the "LAMBDANR" variable in the file. This method can also be used to change the "job-name" variable which makes checking jobs on green planet easier.

##### AutoConvergePlots.py
Available at https://github.com/bannanc/Convergence
Included is the version of this script that was used for this project. 
This is an elaborate script I wrote in Summer 2015 and updated plotting functions in Spring 2016 
It uses GROMACS and commandlines to create an xvg file for a specified property from GROMACS edr files. 

##### tools.py
This is a long list of methods (not all of which were used during this project). 
It includes a bootstrapping method which is used to calculated uncertainties in the error analysis and the methods to perform said error analysis. 
 
##### makeDictionary.py
This extracts experimental data from a csv file and saves it to a dictionary. 
It also uses OpenEye toolkits to create SMILES strings for all of the solutes from their provided names. 
The resulting dictionary is in the Data directory as dictionary_noResults.p

##### setupScript.py
This script was used to use solvation toolkit to build input files, use MDPandRunMethods to make all the necessary mdp and run files, and to start the simulations on greenplanet. 
It also uses hydroxynator to set up simulations with GAFF-DC
Primarily it is an example of how to implement solvation toolkit, hydroxynator, and MDPandRunMethods. 
Results topology and coordinate files are saved by solute and solvent in the Data directory. 

##### water_setup.py
A script adopted by Daisy Y Kyu, this sets up the input files for simulations with each solute in water to calculate solvation free energies 
It takes advantage of the old_hydroxynator script and uses MDPandRunMethods to organize files. 

##### experimentalUncertainty.py
The experimental data for LogP was not provided with values for uncertainties.
However there were multiple measurements of logP for some of the solutes, we used these to estimated an average experimental uncertainty used for all future calculations.

##### getAlchemicalResults.py
Uses alchemical_analysis (taken from gitHub on Dec. 4, 2015) to analyze results of solvation free energy. 
Creates the results.txt and results.pickle files with solvation free energies for all 41 solutes in all three solvents (and both force fields where applicable)
These both results files are saved by solute number then solvent in the Data directory

##### extractResults.py
Takes advantage of the objects results.pickle created by alchemical_analysis.py and reads free energy results into the dictionary. 
It then calculated logP for both organic solvents. 
The results dictionary is available in the Data directory 

##### dataAnalysis.py
This script does the error analysis reported in the paper and creates the comparison plots provided in the figures. 
It also produces the tex table with error analysis reported in the paper

##### MakeTables.py
This makes the LaTeX tables for all solvation free energies and partition coefficients. 
These were converted to pdfs for the Supporting information in the publication. 
It also creates txt versions of these tables with comma separated values saved in the Data directory. 

##### getAllDensities.py
This script uses the AutoConvregePlots to create convergence plots for average density for each solute in each solvent. 
A plot is created for the lambda = 0 state for all GAFF simulations. 
Resulting plots are stored by solute and solvent in the Data directory. 



