import pickle
import numpy as np
import sys
import os
import commands
from optparse import OptionParser

#save pickle file to dictionary database
database = pickle.load(open('dictionary_noResults.p','rb'))
# Path to alchemical_analysis.py (check bash_profile)

# Paths to results

alcohols = pickle.load(open('alcohols.p','rb'))

def getResults(path, time):
    current = os.getcwd()
    os.chdir(path)
    alchem = "python ~/anaconda/lib/python2.7/site-packages/alchemical_analysis-1.0.2.dev0-py2.7.egg/alchemical_analysis/alchemical_analysis.py"
    print commands.getoutput("%s -d %s -p 'prod' -s %s" % (alchem, path, str(time)))
    os.chdir(current)

def forEachNum(num, resultPath, solventList, time):
    inputPath = "/work/cluster/bannanc/PartitionCoeff/RoundThree/%s/%s/"
    os.mkdir("%s/%s" % (resultPath, num))
    for solvent in solventList:
        inPath = inputPath % (solvent, num)
        getResults(inPath, time)
        putPath = "%s/%s/%s" % (resultPath, num, solvent)
        os.mkdir(putPath)
        if not os.path.isfile("%s/results.txt" % inPath):
            print "No Results for ", num, "in", solvent
        commands.getoutput("cp %s/results.* %s/" % (inPath, putPath))
        commands.getoutput("cp %s/mol.top %s/mol.top" % (inPath, putPath))
        commands.getoutput("cp %s/mol.gro %s/mol.gro" % (inPath, putPath))
    h2oPath = "/work/cluster/bannanc/PartitionCoeff/RoundThree/H2OResults/"
    putPath = "%s/%s/water" % (resultPath, num)
    os.mkdir(putPath)
    if not os.path.isfile("%s/results_H2O_%s.txt" % (h2oPath, num)):
        print "No Results for ", num, "in water"
    commands.getoutput("cp %s/results_H2O_%s.txt %s/results.txt" % (h2oPath, num, putPath))
    commands.getoutput("cp %s/results_H2O_%s.pickle %s/results.pickle" % (h2oPath, num, putPath))
    
    waterInput = "/work/cluster/kyud/waterSolv/topgrosolv/%s/" % num
    commands.getoutput("cp %s/morph.top %s/mol.top" % (waterInput, putPath))
    commands.getoutput("cp %s/morph.gro %s/mol.gro" % (waterInput, putPath))

resultPath = "/work/cluster/bannanc/PartitionCoeff/RoundThree/AllResults/"
# resultPath1000 = "/work/cluster/bannanc/PartitionCoeff/updateMDPs/AllResults1000/"
# For every molecule we did calculations for 
for molname, entry in database.items():
    # save the number - this is the name of the subdirectories
    num = entry['number']
    if num == 'str':
        continue
    forEachNum(num, resultPath, ['cyclohexane', 'octanol'], '100')
    # forEachNum(num, resultPath1000, ['cyclohexane', 'octanol'], '1000')
    if num in alcohols:
        forEachNum("%s_OH" % num, resultPath, ['cyclohexane'], '100')
        # forEachNum("%s_OH" %num, resultPath1000, ['cyclohexane'], '1000')


