#======================================================
# Import things
#======================================================

import numpy as np
import pickle
import commands as c
import os 
import matplotlib.pyplot as plt
from AutoConvergePlots import *
from matplotlib.backends.backend_pdf import PdfPages
import sys

#======================================================

# Load dictionary and make name to number list
database = pickle.load(open('../Results/dictionary_noResults.p','rb'))
numToName = [[key,e['number']] for key, e in database.items()]
solvents = ['_cyc','_oct','_h2o']
solvent_Names = ['cyclohexane', 'octanol', 'water']

#Make average lists, save with number incase we want to revisit
cyc_ave = []
oct_ave = []
h2o_ave = []
averages = [cyc_ave, oct_ave, h2o_ave]

edrFile = "prod.0.edr"

#Define paths to different solvents
cyc_path = "../Results/%s/cyclohexane/"
oct_path = "../Results/%s/octanol/"
h2o_path = "../Results/%s/water/"
#put in a list so they are easier to use
paths = [cyc_path, oct_path, h2o_path]
current = os.getcwd()

# For every solute
for [name, num] in numToName:
    if num == 'str': # this is the testKey in some versions of the dictionary
        continue
    # For every solvent
    for i,s in enumerate(solvents):
        path = paths[i] % num
        os.chdir(path)
        combo = num+s
        # If xvg already exists, don't make it again
        # This is so edits can be made to the plotting script and this can be rerun without causing errors
        makeXVG = not os.path.isfile('Density.xvg')
        # Use AutoConvergencePlots to get xvg file and density plot from this edr file
        Converge('Density', makeXVG, edrFile, 'Density.xvg', 'DensityConvergePlot.pdf', 0, -1, 2.0, None, False, '', False)
        os.chdir(current)
   
    print name, ' (', num, ') complete' 

